org.eclipse.rdf4j.model.vocabulary

## Class VCARD4

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.VCARD4

-     public class VCARD4
      extends Object

  Constants for the vCard Ontology.
  Author:
    Bart Hanssens
  See Also:
    vCard Ontology, vCard OWL file

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IRI` | `ACQUAINTANCE` vcard:Acquaintance
    `static IRI` | `ADDITIONAL_NAME` vcard:additional-name
    `static IRI` | `ADDRESS` vcard:Address
    `static IRI` | `ADR` vcard:adr
    `static IRI` | `AGENT` vcard:Agent
    `static IRI` | `AGENT_PROP` Deprecated.
    `static IRI` | `ANNIVERSARY` vcard:anniversary
    `static IRI` | `BBS` Deprecated.
    `static IRI` | `BDAY` vcard:bday
    `static IRI` | `CAR` Deprecated.
    `static IRI` | `CATEGORY` vcard:category
    `static IRI` | `CELL` vcard:Cell
    `static IRI` | `CHILD` vcard:Child
    `static IRI` | `CLASS` Deprecated.
    `static IRI` | `COLLEAGUE` vcard:Colleague
    `static IRI` | `CONTACT` vcard:Contact
    `static IRI` | `CORESIDENT` vcard:Coresident
    `static IRI` | `COUNTRY_NAME` vcard:country-name
    `static IRI` | `COWORKER` vcard:Coworker
    `static IRI` | `CRUSH` vcard:Crush
    `static IRI` | `DATE` vcard:Date
    `static IRI` | `DOM` Deprecated.
    `static IRI` | `EMAIL` Deprecated.
    `static IRI` | `EMAIL_PROP` vcard:email
    `static IRI` | `EMERGENCY` vcard:Emergency
    `static IRI` | `EXTENDED_ADDRESS` Deprecated.
    `static IRI` | `FAMILY_NAME` vcard:family-name
    `static IRI` | `FAX` vcard:Fax
    `static IRI` | `FEMALE` vcard:Female
    `static IRI` | `FN` vcard:fn
    `static IRI` | `FRIEND` vcard:Friend
    `static IRI` | `GENDER` vcard:Gender
    `static IRI` | `GEO` vcard:geo
    `static IRI` | `GIVEN_NAME` vcard:given-name
    `static IRI` | `GROUP` vcard:Group
    `static IRI` | `HAS_ADDITIONAL_NAME` vcard:hasAdditionalName
    `static IRI` | `HAS_ADDRESS` vcard:hasAddress
    `static IRI` | `HAS_CALENDAR_BUSY` vcard:hasCalendarBusy
    `static IRI` | `HAS_CALENDAR_LINK` vcard:hasCalendarLink
    `static IRI` | `HAS_CALENDAR_REQUEST` vcard:hasCalendarRequest
    `static IRI` | `HAS_CATEGORY` vcard:hasCategory
    `static IRI` | `HAS_COUNTRY_NAME` vcard:hasCountryName
    `static IRI` | `HAS_EMAIL` vcard:hasEmail
    `static IRI` | `HAS_FAMILY_NAME` vcard:hasFamilyName
    `static IRI` | `HAS_FN` vcard:hasFN
    `static IRI` | `HAS_GENDER` vcard:hasGender
    `static IRI` | `HAS_GEO` vcard:hasGeo
    `static IRI` | `HAS_GIVEN_NAME` vcard:hasGivenName
    `static IRI` | `HAS_HONORIFIC_PREFIX` vcard:hasHonorificPrefix
    `static IRI` | `HAS_HONORIFIC_SUFFIX` vcard:hasHonorificSuffix
    `static IRI` | `HAS_INSTANT_MESSAGE` vcard:hasInstantMessage
    `static IRI` | `HAS_KEY` vcard:hasKey
    `static IRI` | `HAS_LANGUAGE` vcard:hasLanguage
    `static IRI` | `HAS_LOCALITY` vcard:hasLocality
    `static IRI` | `HAS_LOGO` vcard:hasLogo
    `static IRI` | `HAS_MEMBER` vcard:hasMember
    `static IRI` | `HAS_NAME` vcard:hasName
    `static IRI` | `HAS_NICKNAME` vcard:hasNickname
    `static IRI` | `HAS_NOTE` vcard:hasNote
    `static IRI` | `HAS_ORGANIZATION_NAME` vcard:hasOrganizationName
    `static IRI` | `HAS_ORGANIZATION_UNIT` vcard:hasOrganizationUnit
    `static IRI` | `HAS_PHOTO` vcard:hasPhoto
    `static IRI` | `HAS_POSTAL_CODE` vcard:hasPostalCode
    `static IRI` | `HAS_REGION` vcard:hasRegion
    `static IRI` | `HAS_RELATED` vcard:hasRelated
    `static IRI` | `HAS_ROLE` vcard:hasRole
    `static IRI` | `HAS_SOUND` vcard:hasSound
    `static IRI` | `HAS_SOURCE` vcard:hasSource
    `static IRI` | `HAS_STREET_ADDRESS` vcard:hasStreetAddress
    `static IRI` | `HAS_TELEPHONE` vcard:hasTelephone
    `static IRI` | `HAS_TITLE` vcard:hasTitle
    `static IRI` | `HAS_UID` vcard:hasUID
    `static IRI` | `HAS_URL` vcard:hasURL
    `static IRI` | `HAS_VALUE` vcard:hasValue
    `static IRI` | `HOME` vcard:Home
    `static IRI` | `HONORIFIC_PREFIX` vcard:honorific-prefix
    `static IRI` | `HONORIFIC_SUFFIX` vcard:honorific-suffix
    `static IRI` | `INDIVIDUAL` vcard:Individual
    `static IRI` | `INTERNET` Deprecated.
    `static IRI` | `INTL` Deprecated.
    `static IRI` | `ISDN` Deprecated.
    `static IRI` | `KEY` vcard:key
    `static IRI` | `KIN` vcard:Kin
    `static IRI` | `KIND` vcard:Kind
    `static IRI` | `LABEL` Deprecated.
    `static IRI` | `LABEL_PROP` Deprecated.
    `static IRI` | `LANGUAGE` vcard:language
    `static IRI` | `LATITUDE` Deprecated.
    `static IRI` | `LOCALITY` vcard:locality
    `static IRI` | `LOCATION` vcard:Location
    `static IRI` | `LOGO` vcard:logo
    `static IRI` | `LONGITUDE` Deprecated.
    `static IRI` | `MAILER` Deprecated.
    `static IRI` | `MALE` vcard:Male
    `static IRI` | `ME` vcard:Me
    `static IRI` | `MET` vcard:Met
    `static IRI` | `MODEM` Deprecated.
    `static IRI` | `MSG` Deprecated.
    `static IRI` | `MUSE` vcard:Muse
    `static IRI` | `N` vcard:n
    `static IRI` | `NAME` vcard:Name
    `static String` | `NAMESPACE` The VCARD4 namespace: http://www.w3.org/2006/vcard/ns#
    `static IRI` | `NEIGHBOR` vcard:Neighbor
    `static IRI` | `NICKNAME` vcard:nickname
    `static IRI` | `NONE` vcard:None
    `static IRI` | `NOTE` vcard:note
    `static Namespace` | `NS` An immutable `Namespace` constant that represents the namespace.
    `static IRI` | `ORG` vcard:org
    `static IRI` | `ORGANIZATION` vcard:Organization
    `static IRI` | `ORGANIZATION_NAME` vcard:organization-name
    `static IRI` | `ORGANIZATION_UNIT` vcard:organization-unit
    `static IRI` | `OTHER` vcard:Other
    `static IRI` | `PAGER` vcard:Pager
    `static IRI` | `PARCEL` Deprecated.
    `static IRI` | `PARENT` vcard:Parent
    `static IRI` | `PCS` Deprecated.
    `static IRI` | `PHOTO` vcard:photo
    `static IRI` | `POST_OFFICE_BOX` Deprecated.
    `static IRI` | `POSTAL` Deprecated.
    `static IRI` | `POSTAL_CODE` vcard:postal-code
    `static IRI` | `PREF` Deprecated.
    `static String` | `PREFIX` Recommended prefix for the namespace: "vcard"
    `static IRI` | `PRODID` vcard:prodid
    `static IRI` | `REGION` vcard:region
    `static IRI` | `RELATED_TYPE` vcard:RelatedType
    `static IRI` | `REV` vcard:rev
    `static IRI` | `ROLE` vcard:role
    `static IRI` | `SIBLING` vcard:Sibling
    `static IRI` | `SORT_STRING` vcard:sort-string
    `static IRI` | `SOUND` vcard:sound
    `static IRI` | `SPOUSE` vcard:Spouse
    `static IRI` | `STREET_ADDRESS` vcard:street-address
    `static IRI` | `SWEETHEART` vcard:Sweetheart
    `static IRI` | `TEL` Deprecated.
    `static IRI` | `TEL_PROP` vcard:tel
    `static IRI` | `TELEPHONE_TYPE` vcard:TelephoneType
    `static IRI` | `TEXT` vcard:Text
    `static IRI` | `TEXT_PHONE` vcard:TextPhone
    `static IRI` | `TITLE` vcard:title
    `static IRI` | `TYPE` vcard:Type
    `static IRI` | `TZ` vcard:tz
    `static IRI` | `UNKNOWN` vcard:Unknown
    `static IRI` | `URL` vcard:url
    `static IRI` | `VALUE` vcard:value
    `static IRI` | `VCARD` vcard:VCard
    `static IRI` | `VIDEO` vcard:Video
    `static IRI` | `VOICE` vcard:Voice
    `static IRI` | `WORK` vcard:Work
    `static IRI` | `X400` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VCARD4()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      The VCARD4 namespace: http://www.w3.org/2006/vcard/ns#
      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      Recommended prefix for the namespace: "vcard"
      See Also:
        Constant Field Values

    - #### NS

          public static final Namespace NS

      An immutable `Namespace` constant that represents the namespace.

    - #### ACQUAINTANCE

          public static final IRI ACQUAINTANCE

      vcard:Acquaintance

    - #### ADDRESS

          public static final IRI ADDRESS

      vcard:Address

    - #### AGENT

          public static final IRI AGENT

      vcard:Agent

    - #### BBS

          @Deprecated
          public static final IRI BBS

      Deprecated.
      vcard:BBS

    - #### CAR

          @Deprecated
          public static final IRI CAR

      Deprecated.
      vcard:Car

    - #### CELL

          public static final IRI CELL

      vcard:Cell

    - #### CHILD

          public static final IRI CHILD

      vcard:Child

    - #### COLLEAGUE

          public static final IRI COLLEAGUE

      vcard:Colleague

    - #### CONTACT

          public static final IRI CONTACT

      vcard:Contact

    - #### CORESIDENT

          public static final IRI CORESIDENT

      vcard:Coresident

    - #### COWORKER

          public static final IRI COWORKER

      vcard:Coworker

    - #### CRUSH

          public static final IRI CRUSH

      vcard:Crush

    - #### DATE

          public static final IRI DATE

      vcard:Date

    - #### DOM

          @Deprecated
          public static final IRI DOM

      Deprecated.
      vcard:Dom

    - #### EMAIL

          @Deprecated
          public static final IRI EMAIL

      Deprecated.
      vcard:Email

    - #### EMERGENCY

          public static final IRI EMERGENCY

      vcard:Emergency

    - #### FAX

          public static final IRI FAX

      vcard:Fax

    - #### FEMALE

          public static final IRI FEMALE

      vcard:Female

    - #### FRIEND

          public static final IRI FRIEND

      vcard:Friend

    - #### GENDER

          public static final IRI GENDER

      vcard:Gender

    - #### GROUP

          public static final IRI GROUP

      vcard:Group

    - #### HOME

          public static final IRI HOME

      vcard:Home

    - #### ISDN

          @Deprecated
          public static final IRI ISDN

      Deprecated.
      vcard:ISDN

    - #### INDIVIDUAL

          public static final IRI INDIVIDUAL

      vcard:Individual

    - #### INTERNET

          @Deprecated
          public static final IRI INTERNET

      Deprecated.
      vcard:Internet

    - #### INTL

          @Deprecated
          public static final IRI INTL

      Deprecated.
      vcard:Intl

    - #### KIN

          public static final IRI KIN

      vcard:Kin

    - #### KIND

          public static final IRI KIND

      vcard:Kind

    - #### LABEL

          @Deprecated
          public static final IRI LABEL

      Deprecated.
      vcard:Label

    - #### LOCATION

          public static final IRI LOCATION

      vcard:Location

    - #### MALE

          public static final IRI MALE

      vcard:Male

    - #### ME

          public static final IRI ME

      vcard:Me

    - #### MET

          public static final IRI MET

      vcard:Met

    - #### MODEM

          @Deprecated
          public static final IRI MODEM

      Deprecated.
      vcard:Modem

    - #### MSG

          @Deprecated
          public static final IRI MSG

      Deprecated.
      vcard:Msg

    - #### MUSE

          public static final IRI MUSE

      vcard:Muse

    - #### NAME

          public static final IRI NAME

      vcard:Name

    - #### NEIGHBOR

          public static final IRI NEIGHBOR

      vcard:Neighbor

    - #### NONE

          public static final IRI NONE

      vcard:None

    - #### ORGANIZATION

          public static final IRI ORGANIZATION

      vcard:Organization

    - #### OTHER

          public static final IRI OTHER

      vcard:Other

    - #### PCS

          @Deprecated
          public static final IRI PCS

      Deprecated.
      vcard:PCS

    - #### PAGER

          public static final IRI PAGER

      vcard:Pager

    - #### PARCEL

          @Deprecated
          public static final IRI PARCEL

      Deprecated.
      vcard:Parcel

    - #### PARENT

          public static final IRI PARENT

      vcard:Parent

    - #### POSTAL

          @Deprecated
          public static final IRI POSTAL

      Deprecated.
      vcard:Postal

    - #### PREF

          @Deprecated
          public static final IRI PREF

      Deprecated.
      vcard:Pref

    - #### RELATED_TYPE

          public static final IRI RELATED_TYPE

      vcard:RelatedType

    - #### SIBLING

          public static final IRI SIBLING

      vcard:Sibling

    - #### SPOUSE

          public static final IRI SPOUSE

      vcard:Spouse

    - #### SWEETHEART

          public static final IRI SWEETHEART

      vcard:Sweetheart

    - #### TEL

          @Deprecated
          public static final IRI TEL

      Deprecated.
      vcard:Tel

    - #### TELEPHONE_TYPE

          public static final IRI TELEPHONE_TYPE

      vcard:TelephoneType

    - #### TEXT

          public static final IRI TEXT

      vcard:Text

    - #### TEXT_PHONE

          public static final IRI TEXT_PHONE

      vcard:TextPhone

    - #### TYPE

          public static final IRI TYPE

      vcard:Type

    - #### UNKNOWN

          public static final IRI UNKNOWN

      vcard:Unknown

    - #### VCARD

          public static final IRI VCARD

      vcard:VCard

    - #### VIDEO

          public static final IRI VIDEO

      vcard:Video

    - #### VOICE

          public static final IRI VOICE

      vcard:Voice

    - #### WORK

          public static final IRI WORK

      vcard:Work

    - #### X400

          @Deprecated
          public static final IRI X400

      Deprecated.
      vcard:X400

    - #### ADDITIONAL_NAME

          public static final IRI ADDITIONAL_NAME

      vcard:additional-name

    - #### ADR

          public static final IRI ADR

      vcard:adr

    - #### AGENT_PROP

          @Deprecated
          public static final IRI AGENT_PROP

      Deprecated.
      vcard:agent

    - #### ANNIVERSARY

          public static final IRI ANNIVERSARY

      vcard:anniversary

    - #### BDAY

          public static final IRI BDAY

      vcard:bday

    - #### CATEGORY

          public static final IRI CATEGORY

      vcard:category

    - #### CLASS

          @Deprecated
          public static final IRI CLASS

      Deprecated.
      vcard:class

    - #### COUNTRY_NAME

          public static final IRI COUNTRY_NAME

      vcard:country-name

    - #### EMAIL_PROP

          public static final IRI EMAIL_PROP

      vcard:email

    - #### EXTENDED_ADDRESS

          @Deprecated
          public static final IRI EXTENDED_ADDRESS

      Deprecated.
      vcard:extended-address

    - #### FAMILY_NAME

          public static final IRI FAMILY_NAME

      vcard:family-name

    - #### FN

          public static final IRI FN

      vcard:fn

    - #### GEO

          public static final IRI GEO

      vcard:geo

    - #### GIVEN_NAME

          public static final IRI GIVEN_NAME

      vcard:given-name

    - #### HAS_ADDITIONAL_NAME

          public static final IRI HAS_ADDITIONAL_NAME

      vcard:hasAdditionalName

    - #### HAS_ADDRESS

          public static final IRI HAS_ADDRESS

      vcard:hasAddress

    - #### HAS_CALENDAR_BUSY

          public static final IRI HAS_CALENDAR_BUSY

      vcard:hasCalendarBusy

    - #### HAS_CALENDAR_LINK

          public static final IRI HAS_CALENDAR_LINK

      vcard:hasCalendarLink

    - #### HAS_CALENDAR_REQUEST

          public static final IRI HAS_CALENDAR_REQUEST

      vcard:hasCalendarRequest

    - #### HAS_CATEGORY

          public static final IRI HAS_CATEGORY

      vcard:hasCategory

    - #### HAS_COUNTRY_NAME

          public static final IRI HAS_COUNTRY_NAME

      vcard:hasCountryName

    - #### HAS_EMAIL

          public static final IRI HAS_EMAIL

      vcard:hasEmail

    - #### HAS_FN

          public static final IRI HAS_FN

      vcard:hasFN

    - #### HAS_FAMILY_NAME

          public static final IRI HAS_FAMILY_NAME

      vcard:hasFamilyName

    - #### HAS_GENDER

          public static final IRI HAS_GENDER

      vcard:hasGender

    - #### HAS_GEO

          public static final IRI HAS_GEO

      vcard:hasGeo

    - #### HAS_GIVEN_NAME

          public static final IRI HAS_GIVEN_NAME

      vcard:hasGivenName

    - #### HAS_HONORIFIC_PREFIX

          public static final IRI HAS_HONORIFIC_PREFIX

      vcard:hasHonorificPrefix

    - #### HAS_HONORIFIC_SUFFIX

          public static final IRI HAS_HONORIFIC_SUFFIX

      vcard:hasHonorificSuffix

    - #### HAS_INSTANT_MESSAGE

          public static final IRI HAS_INSTANT_MESSAGE

      vcard:hasInstantMessage

    - #### HAS_KEY

          public static final IRI HAS_KEY

      vcard:hasKey

    - #### HAS_LANGUAGE

          public static final IRI HAS_LANGUAGE

      vcard:hasLanguage

    - #### HAS_LOCALITY

          public static final IRI HAS_LOCALITY

      vcard:hasLocality

    - #### HAS_LOGO

          public static final IRI HAS_LOGO

      vcard:hasLogo

    - #### HAS_MEMBER

          public static final IRI HAS_MEMBER

      vcard:hasMember

    - #### HAS_NAME

          public static final IRI HAS_NAME

      vcard:hasName

    - #### HAS_NICKNAME

          public static final IRI HAS_NICKNAME

      vcard:hasNickname

    - #### HAS_NOTE

          public static final IRI HAS_NOTE

      vcard:hasNote

    - #### HAS_ORGANIZATION_NAME

          public static final IRI HAS_ORGANIZATION_NAME

      vcard:hasOrganizationName

    - #### HAS_ORGANIZATION_UNIT

          public static final IRI HAS_ORGANIZATION_UNIT

      vcard:hasOrganizationUnit

    - #### HAS_PHOTO

          public static final IRI HAS_PHOTO

      vcard:hasPhoto

    - #### HAS_POSTAL_CODE

          public static final IRI HAS_POSTAL_CODE

      vcard:hasPostalCode

    - #### HAS_REGION

          public static final IRI HAS_REGION

      vcard:hasRegion

    - #### HAS_RELATED

          public static final IRI HAS_RELATED

      vcard:hasRelated

    - #### HAS_ROLE

          public static final IRI HAS_ROLE

      vcard:hasRole

    - #### HAS_SOUND

          public static final IRI HAS_SOUND

      vcard:hasSound

    - #### HAS_SOURCE

          public static final IRI HAS_SOURCE

      vcard:hasSource

    - #### HAS_STREET_ADDRESS

          public static final IRI HAS_STREET_ADDRESS

      vcard:hasStreetAddress

    - #### HAS_TELEPHONE

          public static final IRI HAS_TELEPHONE

      vcard:hasTelephone

    - #### HAS_TITLE

          public static final IRI HAS_TITLE

      vcard:hasTitle

    - #### HAS_UID

          public static final IRI HAS_UID

      vcard:hasUID

    - #### HAS_URL

          public static final IRI HAS_URL

      vcard:hasURL

    - #### HAS_VALUE

          public static final IRI HAS_VALUE

      vcard:hasValue

    - #### HONORIFIC_PREFIX

          public static final IRI HONORIFIC_PREFIX

      vcard:honorific-prefix

    - #### HONORIFIC_SUFFIX

          public static final IRI HONORIFIC_SUFFIX

      vcard:honorific-suffix

    - #### KEY

          public static final IRI KEY

      vcard:key

    - #### LABEL_PROP

          @Deprecated
          public static final IRI LABEL_PROP

      Deprecated.
      vcard:label

    - #### LANGUAGE

          public static final IRI LANGUAGE

      vcard:language

    - #### LATITUDE

          @Deprecated
          public static final IRI LATITUDE

      Deprecated.
      vcard:latitude

    - #### LOCALITY

          public static final IRI LOCALITY

      vcard:locality

    - #### LOGO

          public static final IRI LOGO

      vcard:logo

    - #### LONGITUDE

          @Deprecated
          public static final IRI LONGITUDE

      Deprecated.
      vcard:longitude

    - #### MAILER

          @Deprecated
          public static final IRI MAILER

      Deprecated.
      vcard:mailer

    - #### N

          public static final IRI N

      vcard:n

    - #### NICKNAME

          public static final IRI NICKNAME

      vcard:nickname

    - #### NOTE

          public static final IRI NOTE

      vcard:note

    - #### ORG

          public static final IRI ORG

      vcard:org

    - #### ORGANIZATION_NAME

          public static final IRI ORGANIZATION_NAME

      vcard:organization-name

    - #### ORGANIZATION_UNIT

          public static final IRI ORGANIZATION_UNIT

      vcard:organization-unit

    - #### PHOTO

          public static final IRI PHOTO

      vcard:photo

    - #### POST_OFFICE_BOX

          @Deprecated
          public static final IRI POST_OFFICE_BOX

      Deprecated.
      vcard:post-office-box

    - #### POSTAL_CODE

          public static final IRI POSTAL_CODE

      vcard:postal-code

    - #### PRODID

          public static final IRI PRODID

      vcard:prodid

    - #### REGION

          public static final IRI REGION

      vcard:region

    - #### REV

          public static final IRI REV

      vcard:rev

    - #### ROLE

          public static final IRI ROLE

      vcard:role

    - #### SORT_STRING

          public static final IRI SORT_STRING

      vcard:sort-string

    - #### SOUND

          public static final IRI SOUND

      vcard:sound

    - #### STREET_ADDRESS

          public static final IRI STREET_ADDRESS

      vcard:street-address

    - #### TEL_PROP

          public static final IRI TEL_PROP

      vcard:tel

    - #### TITLE

          public static final IRI TITLE

      vcard:title

    - #### TZ

          public static final IRI TZ

      vcard:tz

    - #### URL

          public static final IRI URL

      vcard:url

    - #### VALUE

          public static final IRI VALUE

      vcard:value

  - ### Constructor Detail

    - #### VCARD4

          public VCARD4()

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.